// BlinkenSisters - Hunt for the Lost Pixels
//     Bringing back the fun of the 80s
//
// (C) 2005-07 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef CONFIG_H
#define CONFIG_H

#include "globals.h"
#include <limits.h>

extern char currentAddonName [PATH_MAX] ;
void configInit(const bool forceUpdate);
void configSetBasePath(const char *path);
char* configGetPath(const char* fname);
void configSetAddOn(const char* addOnName);
# define configResetAddOn() configSetAddOn("")
void configStartupComplete();
char* adjustdirectoryseparator(const char* path);

#ifdef CDEDITION
void configInstallAddOn(const char* fname);
#endif // CDEDITION

#endif // CONFIG_H
